Wind River Support Network

HomeDefectsLIN5-19881
Fixed

LIN5-19881 : Security Advisory - xorg-server - CVE-2014-8094

Created: Dec 14, 2014    Updated: Dec 19, 2017
Resolved Date: Feb 28, 2015
Found In Version: 5.0.1.22
Fix Version: 5.0.1.25
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

Integer overflow in the ProcDRI2GetBuffers function in the DRI2 extension in X.Org Server (aka xserver and xorg-server) 1.7.0 through 1.16.x before 1.16.3 allows remote authenticated users to cause a denial of service (crash) or possibly execute arbitrary code via a crafted request, which triggers an out-of-bounds read or write.<a href=http://cwe.mitre.org/data/definitions/190.html>CWE-190: Integer Overflow or Wraparound</a>

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-8094

Other Downloads


Live chat
Online